/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v1.1
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
jQuery.noConflict();
jQuery(document).ready(function($){
	var postFormCheck=true;
	var error="";
	
    $('.dosearchbtn').click(function() {
		domainElement=$(".Wedomainchecker input.domainfield");
		checkDomainChars(domainElement);
		
		var data = {'domain':domainElement.val(),'tlds[]':[]};
		
		$('.Wedomainchecker .ext:checked').each(function() {
			data['tlds[]'].push($(this).val());
		});
		
		error="";
		if (domainElement.val()==''){
			domainElement.focus().addClass('errorfield');
			postFormCheck=false;
		}else{
			domainElement.removeClass('errorfield');
			postFormCheck=true;
		}
		
		if ( domainElement.val().length<3) { error='Too short domain'; postFormCheck=false; }
		else if ( domainElement.val().length>35) { error='To big domain'; postFormCheck=false; }
		else if ( $(".ext:checked").size()==0) { error='Please check at least one tld'; postFormCheck=false; }
		
		if(error!=""){
			$(".Wedomainchecker .results").html('<span class="errotext">'+error+'</div>');
		}else{
			$(".Wedomainchecker .results").slideUp("slow").html('');
		}
		
		
		if(postFormCheck){
			$(".Wedomainchecker .results").html('<p class="plzwait" style="text-align:center;"><img src="assets/spinner.gif" />Please wait....</p>');
			$(".Wedomainchecker .results").slideDown("slow");
			$.post("dosearch.php",data,function(htmlData){
				$(".Wedomainchecker .results").html(htmlData);
			});
		}
    });
	
	var whoisopened=false;
	$('.Wedomainchecker div.results').on('click','a.whois',function(e) {
		$('div.whoisdata').each(function(){
			$(this).css('display','none');
		});
		$(this).parent().find('div.whoisdata').css('display','block').focus();
		whoisopened=true;
		e.preventDefault();
	});	
	
	$('.Wedomainchecker div.results').on('click','a.wclose', function(e) {
		$(this).closest('.whoisdata').hide();
		whoisopened=false;
		e.preventDefault();
	});
	
	$('.Wedomainchecker div.results').on('focusout','input.domainfield',function(){
		$(this).hide();
	});
		
	$('.Wedomainchecker div.results').on('submit','form[name="registerdomainform"]',function(e) {
		/*if(e.originalEvent.explicitOriginalTarget.id!='' && e.originalEvent.explicitOriginalTarget.id != "submit") {
			e.preventDefault();
			return false;
		}*/
	});
		
	$('.Wedomainchecker div.results').on('click','input.registerbtn',function(e) {
		if($('.Wedomainchecker .regtld:checked').size()==0){ 
			alert('Select a domain to register');
			e.preventDefault();
			return false;
		}
	});
	
	var status=0;
	$('div.showmore').click(function(e) {
		var moreTLds=$(this).parent().find('div.secondary');
		if(status==0){
			moreTLds.show('slow');
			$(this).find("span").text('Less TLDs..');
			status=1;
		}else{
			moreTLds.hide('slow');
			$(this).find("span").text('More TLDs..');
			status=0;
		}
	});
	
	$('input.domainfield').keyup(function() {
		checkDomainChars($(this));
	});
	
	$('input.domainfield').focusout(function() { checkDomainChars($(this)); }).blur(function(){ checkDomainChars($(this)); });
		
	function checkDomainChars(obj){
		dom=obj.val().toLowerCase();
		dom=dom.replace('www.', '');
		dom=dom.replace('http://', '');
		dom=dom.replace(' ', '-');
		dom=dom.replace(/[^a-zA-Z 0-9-]+/g,'');
		obj.val(dom);
	}
		 
	 var isChecked=0;
	 $('a.selectall').click(function(){
		if(!isChecked){
			$('.Wedomainchecker .tldpos input:checkbox').prop("checked", true);
			$(this).text('Check all');
			isChecked=1;
		}else{
			$('.Wedomainchecker .tldpos input:checkbox').prop("checked", false);
			$(this).text('Uncheck all');
			isChecked=0;
		}
	});
});